<!-- DO NOT EDIT | GENERATED CONTENT -->

# ping

Ping a workspace

## Usage

```console
coder ping [flags] <workspace>
```

## Options

### -n, --num

|         |                  |
| ------- | ---------------- |
| Type    | <code>int</code> |
| Default | <code>10</code>  |

Specifies the number of pings to perform.

### -t, --timeout

|         |                       |
| ------- | --------------------- |
| Type    | <code>duration</code> |
| Default | <code>5s</code>       |

Specifies how long to wait for a ping to complete.

### --wait

|         |                       |
| ------- | --------------------- |
| Type    | <code>duration</code> |
| Default | <code>1s</code>       |

Specifies how long to wait between pings.
